<?php
require('../../../QPlatform/Common/Component/ComInitialHead.php');
require($netsFileConfig['sysCoreRoot'].'Inc/m_Shop/Sale/shopauction.php');

class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'shopauction','sttColumnHead'=>'shat'),
			array('sttTableName'=>$this->sysTableHead.'shopauctioncont','sttColumnHead'=>'shact'),);
		$this->sUiName='Platform/shop/shopauction';
	}
	public function OnBInitial(){
		$this->sMetaTitle='拍卖';
		$this->sLimitCount=0;
		$this->sApp=new shopauction($this->sConnString);
		//-- ------ #Option ------ --
		//Parid
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT A.shagtID,A.shagtName,A.shagtParid FROM '.$this->sysTableHead.'shopauctiongroup AS A
			WHERE 1=1 AND A.shagtRecycle=0 AND A.shagtChecked>1 AND A.shagtParid={Nets.Parid}
			ORDER BY A.shagtOrderBy DESC,A.shagtID DESC ';
		$tmpAR0['SQL0']=' SELECT A.shagtID,A.shagtName,A.shagtParid FROM '.$this->sysTableHead.'shopauctiongroup AS A
			WHERE 1=1 AND A.shagtRecycle=0 AND A.shagtChecked>1 AND A.shagtID={Nets.Parid}
			ORDER BY A.shagtOrderBy DESC,A.shagtID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['Parid']='shagtID';
		$tmpAR0['Text']='shagtName';
		$tmpAR0['Value']='shagtID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='shop/shopauction_group';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sParid1);
		$this->sParid2=$this->sParid1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有的分类]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sParid2,$tmpAR0);
		//Type
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=133;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/option_Shopauction_type';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sType1);
		$this->sType2=$this->sType1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有类型]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sType2,$tmpAR0);
		//Info_State
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=131;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='Shop/options_Auction_Info_State';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sInfo_State1);
		$this->sInfo_State2=$this->sInfo_State1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有状态]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sInfo_State2,$tmpAR0);
		
		
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'shatID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1,-1,-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.shatID,A.shatName,A.shatParid,A.shatSaleid,A.shatType
			FROM '.$this->sysTableHead.'shopauction AS A 
			WHERE 1=1 
			AND A.shatID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.shatName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!=-1){
			$tmpSQL.=' AND A.shatParid='.$this->sSearchData[1].' ';
		}
		if($this->sSearchData[2]!=-1){
			$tmpSQL.=' AND A.shatSaleid='.$this->sSearchData[2].' ';
		}
		if($this->sSearchData[3]!=-1){
			$tmpSQL.=' AND A.shatType='.$this->sSearchData[3].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.
			$this->sSearchData[0].$this->sysSPLIT1.
			$this->sSearchData[1].$this->sysSPLIT1.
			$this->sSearchData[2].$this->sysSPLIT1.
			$this->sSearchData[3];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'shatID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'shatName','stcoctUiName'=>'拍卖名称');
		
		return 0;
	}
	public function OnExternal_Search(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'shatID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1',0);
		$this->sExternal_SearchData=$this->AnalyerRequest($this->sActionType,',-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.shatID,A.shatName,A.shatParid
			FROM '.$this->sysTableHead.'shopauction AS A 
			WHERE 1=1 
			AND A.shatID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.shatName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.shatParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sExtendParameter='&ActionType='.$this->sActionType.'&'.$this->sActionType.'='.$this->sExternal_SearchData[0].','.$this->sExternal_SearchData[1];
		$this->sysPages[0]=$this->sysPage.'?'.$this->sExtendParameter;
		
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].$this->sExtendParameter;
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'shatID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'shatName','stcoctUiName'=>'拍卖名称');
		
		return 0;
	}
	public function OnExternal_ChildChoose(){
		//-- ------ #Search data ------ --
		$tmpSTR0='External_ChildChoose';
		$this->sExternal_ChildChooseSData=$this->AnalyerRequest($tmpSTR0,'0,,0,0',0);
		//#Spell sql
		$tmpSQL='';
		if($this->sExternal_ChildChooseSData[0]==0 || $this->sExternal_ChildChooseSData[0]==2){
			//-- Same grade --
			$tmpSQL=' SELECT A.shatID,A.shatName,A.shatParid 
				FROM '.$this->sysTableHead.'shopauction AS A
				WHERE 1=1 AND A.shatRecycle=0 AND A.shatChecked>1 AND 
				A.shatParid=(SELECT shatParid FROM shopauction WHERE 1=1 AND shatRecycle=0 AND shatChecked>1 AND shatID={Nets.ID})
				ORDER BY A.shatOrderBy DESC,A.shatID DESC ';
		}else if($this->sExternal_ChildChooseSData[0]==1 || $this->sExternal_ChildChooseSData[0]==3){
			//-- Child grade --
			$tmpSQL=' SELECT A.shatID,A.shatName,A.shatParid 
				FROM '.$this->sysTableHead.'shopauction AS A
				WHERE 1=1 AND A.shatRecycle=0 AND A.shatChecked>1 AND A.shatParid={Nets.ID}
				ORDER BY A.shatOrderBy DESC,A.shatID DESC ';
		}
		$tmpSTR=str_replace('{Nets.ID}',$this->sExternal_ChildChooseSData[2],$tmpSQL);
		$this->sExternal_ChildChooseData=$this->sDb->Search($tmpSTR);
		
		return 0;
	}
	public function OnNormal(){
		$tmpINT=0;
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT * 
			FROM '.$this->sysTableHead.'shopauction AS A 
			INNER JOIN '.$this->sysTableHead.'shopauctioncont AS B ON B.shactIndexID=A.shatID ';
		$Coun0=2;
		foreach ($this->sTable as $Row0){
			if (count($this->sTable)>2) {
				$tmpSQL.=' INNER JOIN '.$Row0['sttTableName'].' AS '.$this->sysTableMark[$Coun0].' ON '.$this->sysTableMark[$Coun0].'.'.$Row0['sttColumnHead'].'IndexID=A.shatID ';
				$Coun0++;
			}
		}
		$tmpSQL.=' WHERE 1=1 AND A.shatID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
					//-- ------ #Spical set ------ --
					if($this->sUiDescription_Normal[$Coun0]['stcotName']=='shatParid'){
					}else if($this->sUiDescription_Normal[$Coun0]['stcotName']=='shatModelid_Detail'){
						$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
					
					}
				}
				$Coun0++;
			}
		}else {
			$Coun0=0;
			foreach($this->sUiDescription_Normal as $Row0){
				if($Row0['stcotName']=='shatTableid'){
					$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
				}
				$Coun0++;
			}
		}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		if($pColumn['stcotName']=='shatParid' && $pFlag=='Search'){
			$pColumn['Option']=$this->sParid2;
		}else if($pColumn['stcotName']=='shatParid' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sParid1;
		}else if($pColumn['stcotName']=='shactInfo_State' && $pFlag=='Search'){
			$pColumn['Option']=$this->sInfo_State2;
		}else if($pColumn['stcotName']=='shactInfo_State' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sInfo_State1;
		}else if($pColumn['stcotName']=='shatType' && $pFlag=='Search'){
			$pColumn['Option']=$this->sType2;
		}else if($pColumn['stcotName']=='shatType' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sType1;
			
			
			
			
			
		}else if($pColumn['stcotName']=='shatZoneid' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_nets/system/zone.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shatShoppingid' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_nets/system/zone.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shatUnitid' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_shop/sale/shopunit.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shatBrandid' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_shop/sale/brand.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shatRealshopid' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_shop/sale/realshop.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shatClassid' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_shop/sale/shopsaleclass.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shatSaleid' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_shop/sale/sale.php';
			//shatSaleid
			$tmpSQL=' SELECT A.shstID,A.shstName AS tName
				FROM {Nets.TableHead}shopsale AS A
				WHERE 1=1 AND A.shstRecycle=0 AND A.shstChecked>1 AND A.shstID={Nets.ID} ';
			$tmpSTR=str_replace('{Nets.TableHead}',$this->sysTableHead,$tmpSQL);
			$tmpSTR=str_replace('{Nets.ID}',$this->sCode->Int32($pColumn['Value'],0),$tmpSTR);
			$tmpData0=$this->sDb->Search($tmpSTR);
			if(count($tmpData0)>0){
				$pColumn['ShowValue']=$tmpData0[0]['tName'];
			}
			$pColumn['Parameter']=$tmpParameters;
			
		}else if($pColumn['stcotName']=='shactZones' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_nets/system/zone.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shactShoppings' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_nets/system/zone.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shactBrands' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_shop/sale/brand.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shactRealshops' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_shop/sale/realshop.php';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shactUnits' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'QPlatform/m_shop/sale/shopunit.php';
			$pColumn['Parameter']=$tmpParameters;
		
		}else if($pColumn['stcotName']=='shactInfo_Starttime' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Type']='chooseDay';
			$tmpParameters['ExtendType']='External_Day';
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'Component/Nets/netsJscript/chooseDay.php?ID=A';
			$pColumn['Parameter']=$tmpParameters;
		}else if($pColumn['stcotName']=='shactInfo_Endtime' && ($pFlag=='Normal' || $pFlag=='List')){
			$tmpParameters=$this->sControl->textChooseParameter_Template;
			$tmpParameters['Type']='chooseDay';
			$tmpParameters['ExtendType']='External_Day';
			$tmpParameters['Controlname']=$pColumn['stcotName'];
			$tmpParameters['URL']=$this->sysFileConfig['sysCoreRoot'].'Component/Nets/netsJscript/chooseDay.php?ID=A';
			$pColumn['Parameter']=$tmpParameters;
			
		}
		return $pColumn;
	}
}
//-- ------ #Instanct ------ --
$tmpDefault=new PaDefault();
$tmpDefault->OnPage();
$tmpControls=new CustomControls();
$tmpControlPage=new CustomControlPage();
$tmpComHead->sMenuid=$tmpDefault->sMenuid;
$tmpDefault->sysMetaTitle=$tmpDefault->sMetaTitle.' - '.$tmpDefault->sysFileConfig['sysTitle'];
//-- ------ #Template ------ --
require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Component/Group_0.php'); ?>